# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.update(
name="example-assistant",
instructions="Use American English for spelling and grammar.",
metadata={"team": "customer-support", "version": "1.1"},
)
print(assistant)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.update({
name: 'example-assistant',
instructions: 'Use American English for spelling and grammar.',
metadata: { team: 'customer-support', version: '1.1' },
});
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"}
}'
{
"assistant_name": "<string>",
"instructions": "Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow.",
"metadata": {
"role": "Customer Support Helper",
"team": "Operations"
}
}Assistants
Update an assistant
Update an existing assistant. You can modify the assistant’s instructions.
For guidance and examples, see Manage assistants.
PATCH
/
assistants
/
{assistant_name}
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.update(
name="example-assistant",
instructions="Use American English for spelling and grammar.",
metadata={"team": "customer-support", "version": "1.1"},
)
print(assistant)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.update({
name: 'example-assistant',
instructions: 'Use American English for spelling and grammar.',
metadata: { team: 'customer-support', version: '1.1' },
});
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"}
}'
{
"assistant_name": "<string>",
"instructions": "Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow.",
"metadata": {
"role": "Customer Support Helper",
"team": "Operations"
}
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.update(
name="example-assistant",
instructions="Use American English for spelling and grammar.",
metadata={"team": "customer-support", "version": "1.1"},
)
print(assistant)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.update({
name: 'example-assistant',
instructions: 'Use American English for spelling and grammar.',
metadata: { team: 'customer-support', version: '1.1' },
});
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"}
}'
Body
application/json
The desired configuration updates for the assistant.
The configuration updates for the assistant.
Response
Update request successful.
Was this page helpful?